package com.zjrs.zwnw.bsdb.entity;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.zjrs.zwnw.bsdb.dto.DbglDTO;
import com.zjrs.zwnw.bsdb.dto.DbglPageQueryDTO;
import com.zjrs.zwnw.bsdb.dto.DbglRuleQueryDTO;
import com.zjrs.zwnw.bsdb.po.RsBsdbDbgzPo;

@Mapper
public interface DbgzMapper extends BaseMapper<RsBsdbDbgzPo> {

    public Page<DbglDTO> queryDbglRuleSelectList(Page<DbglDTO> page, @Param("dto") DbglPageQueryDTO dto);

    public Page<DbglDTO> queryDbglRuleList(Page<DbglDTO> page, @Param("dto") DbglPageQueryDTO dto);

    DbglDTO queryDbglRule(@Param("dto") DbglRuleQueryDTO dto);

    public Page<DbglDTO> queryDbglDbrwList(Page<DbglDTO> page, @Param("dto") DbglPageQueryDTO dto);

    public Page<DbglDTO>  queryDbglTaskList(Page<DbglDTO> page, @Param("dto") DbglPageQueryDTO dto);
}
